Package weka.gui.beans

# Class FlowRunner.SimpleLogger

java.lang.Object
weka.gui.beans.FlowRunner.SimpleLogger

All Implemented Interfaces:
  `Logger`

Enclosing class:
  `FlowRunner`

public static class FlowRunner.SimpleLogger extends Object implements Logger

## Constructor Summary

Constructors
Constructor
Description
`SimpleLogger()`

## Method Summary

Modifier and Type
Method
Description
`void`
`logMessage(String lm)`
Sends the supplied message to the log area.
`void`
`statusMessage(String lm)`
Sends the supplied message to the status line.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleLogger

public SimpleLogger()

## Method Details

### logMessage

public void logMessage(String lm)
Description copied from interface: `Logger`
Sends the supplied message to the log area. These message will typically have the current timestamp prepended, and be viewable as a history.

Specified by:
  `logMessage` in interface `Logger`
Parameters:
  `lm` - the log message

### statusMessage

public void statusMessage(String lm)
Description copied from interface: `Logger`
Sends the supplied message to the status line. These messages are typically one-line status messages to inform the user of progress during processing (i.e. it doesn't matter if the user doesn't happen to look at each message)

Specified by:
  `statusMessage` in interface `Logger`
Parameters:
  `lm` - the status message.